It is currently Sat Sep 25, 2021 9:30 am


The forum is READ ONLY. Please direct any future discussions to our Facebook page


 Page 1 of 2 [ 23 posts ]  Go to page 1, 2  Next
Author Message
 Post subject: 3D galaxy map caused seg fault in apache
PostPosted: Thu Feb 19, 2004 4:07 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
When I try to make a 3D galaxy map, nothing appears to happen, and when I view apache's error.log, it reports child processes segmentation fault.

To the best of my knowledge, GD is installed and usable in other PHP apps.


Offline
 Profile  
 
 Post subject: Re: 3D galaxy map caused seg fault in apache
PostPosted: Thu Feb 19, 2004 4:10 pm 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
autohost wrote:
When I try to make a 3D galaxy map, nothing appears to happen, and when I view apache's error.log, it reports child processes segmentation fault.

To the best of my knowledge, GD is installed and usable in other PHP apps.


WHat version of PHP?


Offline
 Profile  
 
 Post subject:
PostPosted: Thu Feb 19, 2004 4:27 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
PHP 4.3.1


Offline
 Profile  
 
 Post subject:
PostPosted: Thu Feb 19, 2004 4:46 pm 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
How big is the galaxy?


Offline
 Profile  
 
 Post subject:
PostPosted: Thu Feb 19, 2004 6:30 pm 
Developer
Developer
User avatar

Joined: Wed Feb 19, 2003 6:07 pm
Posts: 2930
You must also have the latest GD graphics library installed for PHP along with the PNG module for the GD library.


Offline
 Profile  
 
 Post subject:
PostPosted: Thu Feb 19, 2004 9:24 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
Tarnus wrote:
How big is the galaxy?

4000 sectors


Offline
 Profile  
 
 Post subject:
PostPosted: Thu Feb 19, 2004 9:25 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
Panama Jack wrote:
You must also have the latest GD graphics library installed for PHP along with the PNG module for the GD library.

I'm probably missing the PNG module.

Thanks

Perhaps have aatrade detect if module is available before attempting to use it...


Offline
 Profile  
 
 Post subject:
PostPosted: Thu Feb 19, 2004 10:33 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
Panama Jack wrote:
You must also have the latest GD graphics library installed for PHP along with the PNG module for the GD library.


Here are my current settings from
<?php
var_dump(gd_info());
?>


array(10) { ["GD Version"]=>  string(13) "2.0 or higher" ["FreeType Support"]=>  bool(true) ["FreeType Linkage"]=>  string(13) "with freetype" ["T1Lib Support"]=>  bool(true) ["GIF Read Support"]=>  bool(false) ["GIF Create Support"]=>  bool(false) ["JPG Support"]=>  bool(true) ["PNG Support"]=>  bool(true) ["WBMP Support"]=>  bool(true) ["XBM Support"]=>  bool(false) }


Offline
 Profile  
 
 Post subject:
PostPosted: Fri Feb 20, 2004 8:01 pm 
Developer
Developer
User avatar

Joined: Wed Feb 19, 2003 6:07 pm
Posts: 2930
The game only checks to see if the library is installed. It doesn't check for the other modules that SHOULD be installed along with it. If you are using the default GD library that comes with the latest stable version of PHP then you DO NOT have the full GD library but only a highly scaled down version.

Check this site GD Library for the latest GD library and how to install it.


Offline
 Profile  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 8:05 am 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
If Linux, then apache logs are usually found in /var/log/httpd or /var/log/apache

If Windows, I have no idea where Apache would store its log files.


Offline
 Profile  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 7:35 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
It means it could not find that .dll file in the place(s) it was looking. Sorry, I can't help more than that since I have no experience with PHP/Apache etc under Windows.


Offline
 Profile  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 10:02 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
Panama Jack wrote:
The game only checks to see if the library is installed. It doesn't check for the other modules that SHOULD be installed along with it. If you are using the default GD library that comes with the latest stable version of PHP then you DO NOT have the full GD library but only a highly scaled down version.

Check this site GD Library for the latest GD library and how to install it.


FYI: I've installed latest GD (from source), latest libpng (with headers), freetype2 (with headers), zlib is installed (rpm), recompiled GD, recompiled PHP 4.3.1 (set to NOT use built-in GD, but pointed to /usr/local), recompiled apache to create new PHP .so file, copied new libphp4.so file over old one, restarted Apache, still seg faults when try to view 3D map.


BUT got 3Dmap to work when I did the following:
Edit the spiral2.php file in your AATRADE v.20 dir, search for "png" and replace with "jpeg" (2 occurances)


Offline
 Profile  
 
 Post subject:
PostPosted: Wed Feb 25, 2004 12:41 am 
Developer
Developer
User avatar

Joined: Wed Feb 19, 2003 6:07 pm
Posts: 2930
That is because you don't have the PNG module installed.


Offline
 Profile  
 
 Post subject:
PostPosted: Wed Feb 25, 2004 9:25 am 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
Panama Jack wrote:
That is because you don't have the PNG module installed.


'moduile'? or libpng? I do have libpng 1.2.5 (latest) installed
Here's my dir listing from my /usr/local/lib
-rwxr-xr-x    1 root     root       196614 Feb 20  2003 libpng.so.3.1.2.5*
lrwxrwxrwx    1 root     root           17 Feb 20  2003 libpng.so.3 -> libpng.so.3.1.2.5*
lrwxrwxrwx    1 root     root           11 Feb 20  2003 libpng.so -> libpng.so.3*
lrwxrwxrwx    1 root     root           10 Feb 20  2003 libpng.a -> libpng12.a
-rwxr-xr-x    1 root     root       196614 Feb 20  2003 libpng12.so.0.1.2.5*
lrwxrwxrwx    1 root     root           19 Feb 20  2003 libpng12.so.0 -> libpng12.so.0.1.2.5*
lrwxrwxrwx    1 root     root           13 Feb 20  2003 libpng12.so -> libpng12.so.0*
-rw-r--r--    1 root     root       220030 Feb 20  2003 libpng12.a
lrwxrwxrwx    1 root     root           19 Feb 21  2003 libpng.so.2 -> libpng12.so.0.1.2.5*


and I used configure --with-png-dir="/usr/local" for PHP when I recompiled it.


Offline
 Profile  
 
 Post subject:
PostPosted: Wed Feb 25, 2004 1:39 pm 
Developer
Developer
User avatar

Joined: Wed Feb 19, 2003 6:07 pm
Posts: 2930
You need to run phpinfo(); from a php program (if you have phpMyAdmin installed there is a link for it on the main page) as this will list all of your settings. You should by a block for GD and it should look like this.

GD Support    enabled    
GD Version    bundled (2.0.15 compatible)    
GIF Read Support    enabled     
PNG Support    enabled     
WBMP Support    enabled     
XBM Support  enabled


If you don't see PNG Support enabled then you have something installed wrong.

There should also be an entry for zlib

ZLib Support    enabled    
Compiled Version    1.2.1    
Linked Version  1.2.1


If any of those are different then that is probably what is causing the problem with PNG support.


Offline
 Profile  
 
Display posts from previous:  Sort by  
 Page 1 of 2 [ 23 posts ]  Go to page 1, 2  Next


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  

cron